%define ALD_Ver		1.2.1

Name:         automake

License:      GPL
Summary:      This is Automake, a Makefile generator.
Group:        Development/Compilers
Version:      1.12.6
Release:      0

Source: %{name}-%{version}.tar.xz

BuildArchitectures: noarch

%define docdir %{_defaultdocdir}/%{name}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}

%define BUILD_TAR 1

# ------------------- description ------------------------------------
%description
This is Automake, a Makefile generator.  It was inspired by the 4.4BSD
make and include files, but aims to be portable and to conform to the
GNU Coding Standards for Makefile variables and targets.
Automake is a Perl script.
#-------------------------------
%package info
Summary:      Info for libc
Group:        Documentation
%description info
Info for libc

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build
PATH=$PATH:/opt/perl/bin
export PATH

%configure &>FConfigure_log.txt

make &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install &>FInstall_log.txt
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

cp AUTHORS COPYING README THANKS $RPM_BUILD_ROOT%{docdir}/

if test -f /opt/aldccp/bin/packages_idx; then
  /opt/aldccp/bin/packages_idx -p %{name} -v %{version} -r noarch/%{ALD_Ver}/ $RPM_BUILD_ROOT
fi

# ------------------- Clean ------------------------------------------
%Clean
pushd %{_rpmdir}/noarch
  mkdir -p %{ALD_Ver}
  mv %{name}-* %{ALD_Ver}/
popd

# --------------- build *.tgz ------------------------
%if %{BUILD_TAR}
pushd $RPM_BUILD_ROOT
  TMP_TO=%{_rpmdir}/noarch/%{ALD_Ver}/tar
  mkdir -p $TMP_TO
  tmp=%{name}-%{version}-%{release}.noarch
  mkdir -p $tmp
  cp -r usr $tmp/
  tar -cjf $tmp.tar.bz2 $tmp
  mv $tmp.tar.bz2 $TMP_TO
  rm -r $tmp
popd
%endif  #BUILD_TAR

# ------------------- Files ------------------------------------------
%Files
%{_bindir}
%{_datadir}/aclocal/README
%{_datadir}/aclocal-1.12
%{_datadir}/automake-1.12
%{_mandir}
%{docdir}

%files info
%{_infodir}
